Package org.linphone.core

# Class AccountManagerServicesRequestListenerStub

java.lang.Object
org.linphone.core.AccountManagerServicesRequestListenerStub

All Implemented Interfaces:
  `AccountManagerServicesRequestListener`

public class AccountManagerServicesRequestListenerStub extends Object implements AccountManagerServicesRequestListener

## Constructor Summary

Constructors
Constructor
Description
`AccountManagerServicesRequestListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onDevicesListFetched(AccountManagerServicesRequest request, AccountDevice[] devicesList)`
Callback for notifying when the
#LinphoneAccountManagerServicesRequestGetDevicesList request has results
available.
`void`
`onRequestError(AccountManagerServicesRequest request, int statusCode, String errorMessage, Dictionary parameterErrors)`
Callback for notifying a request has failed.
`void`
`onRequestSuccessful(AccountManagerServicesRequest request, String data)`
Callback for notifying a request was successful.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccountManagerServicesRequestListenerStub

public AccountManagerServicesRequestListenerStub()

## Method Details

### onRequestSuccessful

public void onRequestSuccessful(@NonNull AccountManagerServicesRequest request, @Nullable String data)
Description copied from interface: `AccountManagerServicesRequestListener`
Callback for notifying a request was successful.

Specified by:
  `onRequestSuccessful` in interface `AccountManagerServicesRequestListener`
Parameters:
  `request` - `AccountManagerServicesRequest` object.
  `data` - any relevant data depending on the request (for example SIP
  identity for account creation).

### onRequestError

public void onRequestError(@NonNull AccountManagerServicesRequest request, int statusCode, @Nullable String errorMessage, @Nullable Dictionary parameterErrors)
Description copied from interface: `AccountManagerServicesRequestListener`
Callback for notifying a request has failed.

Specified by:
  `onRequestError` in interface `AccountManagerServicesRequestListener`
Parameters:
  `request` - `AccountManagerServicesRequest` object.
  `statusCode` - The error status code.
  `errorMessage` - An error message, if any.
  `parameterErrors` - A `Dictionary` with parameter specific errors, if
  any.

### onDevicesListFetched

public void onDevicesListFetched(@NonNull AccountManagerServicesRequest request, @NonNull AccountDevice[] devicesList)
Description copied from interface: `AccountManagerServicesRequestListener`
Callback for notifying when the
#LinphoneAccountManagerServicesRequestGetDevicesList request has results
available.

Specified by:
  `onDevicesListFetched` in interface `AccountManagerServicesRequestListener`
Parameters:
  `request` - `AccountManagerServicesRequest` object.
  `devicesList` - the of fetched devices.